summaryrefslogtreecommitdiffstats
path: root/source/kde
diff options
context:
space:
mode:
Diffstat (limited to 'source/kde')
-rw-r--r--source/kde/fcitx5-configtool/doinst.sh (renamed from source/kde/kcm-fcitx/doinst.sh)1
-rwxr-xr-xsource/kde/fcitx5-configtool/fcitx5-configtool.SlackBuild (renamed from source/kde/kcm-fcitx/kcm-fcitx.SlackBuild)46
-rw-r--r--source/kde/fcitx5-configtool/fcitx5-configtool.url1
-rw-r--r--source/kde/fcitx5-configtool/slack-desc19
-rwxr-xr-xsource/kde/fcitx5-theme-breeze/fcitx5-theme-breeze.SlackBuild67
-rw-r--r--source/kde/fcitx5-theme-breeze/fcitx5-theme-breeze.url1
-rw-r--r--source/kde/fcitx5-theme-breeze/slack-desc19
-rw-r--r--source/kde/kcm-fcitx/destroy-erroroverlay-with-base-widget.patch46
-rw-r--r--source/kde/kcm-fcitx/kcm-fcitx.url1
-rw-r--r--source/kde/kcm-fcitx/slack-desc19
10 files changed, 129 insertions, 91 deletions
diff --git a/source/kde/kcm-fcitx/doinst.sh b/source/kde/fcitx5-configtool/doinst.sh
index 5fb28930d..4e8ba7071 100644
--- a/source/kde/kcm-fcitx/doinst.sh
+++ b/source/kde/fcitx5-configtool/doinst.sh
@@ -1,3 +1,4 @@
if [ -x /usr/bin/update-desktop-database ]; then
/usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi
+
diff --git a/source/kde/kcm-fcitx/kcm-fcitx.SlackBuild b/source/kde/fcitx5-configtool/fcitx5-configtool.SlackBuild
index 6a39b0cdb..396cd3083 100755
--- a/source/kde/kcm-fcitx/kcm-fcitx.SlackBuild
+++ b/source/kde/fcitx5-configtool/fcitx5-configtool.SlackBuild
@@ -1,9 +1,7 @@
#!/bin/bash
-# Slackware build script for kcm-fcitx
-
-# Copyright 2012 vvoody <vvoodywang@gmail.com>
-# Copyright 2016, 2020 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2017 Heinz Wiesinger, Amsterdam, The Netherlands
+# Copyright 2017, 2020 Patrick J. Volkerding, Sebeka, MN, USA
#
# All rights reserved.
#
@@ -26,9 +24,9 @@
cd $(dirname $0) ; CWD=$(pwd)
-PKGNAM=kcm-fcitx
+PKGNAM=fcitx5-configtool
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | cut -f 2- -d _ | rev)}
-BUILD=${BUILD:-4}
+BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
@@ -51,7 +49,7 @@ elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2 -fPIC"
+ SLKCFLAGS="-O2"
LIBDIRSUFFIX="64"
elif [ "$ARCH" = "armv7hl" ]; then
SLKCFLAGS="-O2 -march=armv7-a -mfpu=vfpv3-d16"
@@ -70,14 +68,14 @@ if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
fi
TMP=${TMP:-/tmp}
-PKG=$TMP/package-fcitx
+PKG=$TMP/package-fcitx5
rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
-rm -rf kcm-fcitx-$VERSION
-tar xvf $CWD/kcm-fcitx-${VERSION}.tar.?z || exit 1
-cd kcm-fcitx-$VERSION || exit 1
+rm -rf fcitx5-configtool-$VERSION
+tar xvf $CWD/fcitx5-configtool-${VERSION}.tar.?z || exit 1
+cd fcitx5-configtool-$VERSION || exit 1
chown -R root:root .
find . \
@@ -86,27 +84,25 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
-zcat $CWD/destroy-erroroverlay-with-base-widget.patch.gz | patch -p1 --verbose || exit 1
-
mkdir build
cd build
- cmake -DCMAKE_C_FLAGS:STRING=${SLKCFLAGS} \
- -DCMAKE_CXX_FLAGS:STRING=${SLKCFLAGS} \
- -DCMAKE_INSTALL_PREFIX=/usr \
- -DLIB_INSTALL_DIR=/usr/lib${LIBDIRSUFFIX} \
- ..
- make $NUMJOBS
- make install DESTDIR=$PKG
+ cmake \
+ -DCMAKE_VERBOSE_MAKEFILE:BOOL=ON \
+ -DCMAKE_C_FLAGS:STRING="${SLKCFLAGS}" \
+ -DCMAKE_CXX_FLAGS:STRING="${SLKCFLAGS}" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_INSTALL_LIBDIR=lib${LIBDIRSUFFIX} \
+ ..
+
+ make $NUMJOBS || make || exit 1
+ make install/strip DESTDIR=$PKG || exit 1
cd ..
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-
mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
-cp -a COPYING README $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a LICENSES/* README* $PKG/usr/doc/$PKGNAM-$VERSION
mkdir -p $PKG/install
-zcat $CWD/doinst.sh > $PKG/install/doinst.sh
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
diff --git a/source/kde/fcitx5-configtool/fcitx5-configtool.url b/source/kde/fcitx5-configtool/fcitx5-configtool.url
new file mode 100644
index 000000000..e388e8909
--- /dev/null
+++ b/source/kde/fcitx5-configtool/fcitx5-configtool.url
@@ -0,0 +1 @@
+https://download.fcitx-im.org/fcitx5/fcitx5-configtool/
diff --git a/source/kde/fcitx5-configtool/slack-desc b/source/kde/fcitx5-configtool/slack-desc
new file mode 100644
index 000000000..1b4b69421
--- /dev/null
+++ b/source/kde/fcitx5-configtool/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+fcitx5-configtool: fcitx5-configtool (Plasma config module for Fcitx5)
+fcitx5-configtool:
+fcitx5-configtool: Plasma/Qt config module for Fcitx5.
+fcitx5-configtool:
+fcitx5-configtool: Homepage: https://fcitx-im.org/wiki/Fcitx_5
+fcitx5-configtool:
+fcitx5-configtool:
+fcitx5-configtool:
+fcitx5-configtool:
+fcitx5-configtool:
+fcitx5-configtool:
diff --git a/source/kde/fcitx5-theme-breeze/fcitx5-theme-breeze.SlackBuild b/source/kde/fcitx5-theme-breeze/fcitx5-theme-breeze.SlackBuild
new file mode 100755
index 000000000..f08ba8c97
--- /dev/null
+++ b/source/kde/fcitx5-theme-breeze/fcitx5-theme-breeze.SlackBuild
@@ -0,0 +1,67 @@
+#!/bin/sh
+
+# Copyright 2022 Heinz Wiesinger, Amsterdam, The Netherlands
+# Copyright 2022 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=fcitx5-theme-breeze
+VERSION=${VERSION:-$(echo fcitx5-breeze-prebuilt-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+ARCH=noarch
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+echo "Version: $VERSION"
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf fcitx5-breeze
+tar xvf $CWD/fcitx5-breeze-prebuilt-$VERSION.tar.?z || exit 1
+cd fcitx5-breeze || exit 1
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \+
+
+./install.sh "$PKG/usr"
+
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a LICENSE README* $PKG/usr/doc/$PKGNAM-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
diff --git a/source/kde/fcitx5-theme-breeze/fcitx5-theme-breeze.url b/source/kde/fcitx5-theme-breeze/fcitx5-theme-breeze.url
new file mode 100644
index 000000000..eda6d1b0b
--- /dev/null
+++ b/source/kde/fcitx5-theme-breeze/fcitx5-theme-breeze.url
@@ -0,0 +1 @@
+https://github.com/scratch-er/fcitx5-breeze/releases
diff --git a/source/kde/fcitx5-theme-breeze/slack-desc b/source/kde/fcitx5-theme-breeze/slack-desc
new file mode 100644
index 000000000..a06a3bc3e
--- /dev/null
+++ b/source/kde/fcitx5-theme-breeze/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+fcitx5-theme-breeze: fcitx5-theme-breeze (Fcitx5 breeze theme)
+fcitx5-theme-breeze:
+fcitx5-theme-breeze: Fcitx5 theme to match KDE's Breeze style.
+fcitx5-theme-breeze:
+fcitx5-theme-breeze: Homepage: https://github.com/scratch-er/fcitx5-breeze
+fcitx5-theme-breeze:
+fcitx5-theme-breeze:
+fcitx5-theme-breeze:
+fcitx5-theme-breeze:
+fcitx5-theme-breeze:
+fcitx5-theme-breeze:
diff --git a/source/kde/kcm-fcitx/destroy-erroroverlay-with-base-widget.patch b/source/kde/kcm-fcitx/destroy-erroroverlay-with-base-widget.patch
deleted file mode 100644
index dfb7c4513..000000000
--- a/source/kde/kcm-fcitx/destroy-erroroverlay-with-base-widget.patch
+++ /dev/null
@@ -1,46 +0,0 @@
-From b955a9fc005682ccde57aad3de68405e944f4cf7 Mon Sep 17 00:00:00 2001
-From: Weng Xuetian <wengxt@gmail.com>
-Date: Fri, 11 Dec 2020 12:44:32 -0800
-Subject: [PATCH] Destroy the error erroroverlay with base widget
-
-Fix #19
----
- src/erroroverlay.cpp | 3 ++-
- src/erroroverlay.h | 3 ++-
- 2 files changed, 4 insertions(+), 2 deletions(-)
-
-diff --git a/src/erroroverlay.cpp b/src/erroroverlay.cpp
-index efef8f5..0f85fbd 100644
---- a/src/erroroverlay.cpp
-+++ b/src/erroroverlay.cpp
-@@ -60,7 +60,8 @@ ErrorOverlay::ErrorOverlay(QWidget *baseWidget, QWidget *parent) :
- setAutoFillBackground(true);
-
- m_BaseWidget->installEventFilter(this);
--
-+ // Destory overlay with the base widget.
-+ connect(m_BaseWidget, SIGNAL(destroyed()), this, SLOT(deleteLater()));
- connect(Fcitx::Global::instance(), SIGNAL(connectStatusChanged(bool)), this, SLOT(onConnectStatusChanged(bool)));
- onConnectStatusChanged(Fcitx::Global::instance()->inputMethodProxy() != 0);
- }
-diff --git a/src/erroroverlay.h b/src/erroroverlay.h
-index cf8aeaf..847b456 100644
---- a/src/erroroverlay.h
-+++ b/src/erroroverlay.h
-@@ -21,6 +21,7 @@
- #define ERROROVERLAY_H
-
- #include <QWidget>
-+#include <QPointer>
-
- class ErrorOverlay : public QWidget
- {
-@@ -38,7 +39,7 @@ public slots:
- void reposition();
-
- private:
-- QWidget *m_BaseWidget;
-+ QPointer<QWidget> m_BaseWidget;
- bool m_enable;
- };
-
diff --git a/source/kde/kcm-fcitx/kcm-fcitx.url b/source/kde/kcm-fcitx/kcm-fcitx.url
deleted file mode 100644
index 31f0ec4ed..000000000
--- a/source/kde/kcm-fcitx/kcm-fcitx.url
+++ /dev/null
@@ -1 +0,0 @@
-http://github.com/fcitx/kcm-fcitx
diff --git a/source/kde/kcm-fcitx/slack-desc b/source/kde/kcm-fcitx/slack-desc
deleted file mode 100644
index a9eda5c2d..000000000
--- a/source/kde/kcm-fcitx/slack-desc
+++ /dev/null
@@ -1,19 +0,0 @@
-# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description.
-# Line up the first '|' above the ':' following the base package name, and
-# the '|' on the right side marks the last column you can put a character in.
-# You must make exactly 11 lines for the formatting to be correct. It's also
-# customary to leave one space after the ':' except on otherwise blank lines.
-
- |-----handy-ruler------------------------------------------------------|
-kcm-fcitx: kcm-fcitx (KDE config module for Fcitx)
-kcm-fcitx:
-kcm-fcitx: kcm-fcitx is a configuration tool that is highly integrated with KDE.
-kcm-fcitx:
-kcm-fcitx: Features:
-kcm-fcitx: - Change input method list
-kcm-fcitx: - Change global configuration
-kcm-fcitx: - Change addon configuration and enable/disable addon.
-kcm-fcitx: - Download skin from kde-look.org
-kcm-fcitx:
-kcm-fcitx: Homepage: http://fcitx-im.org/wiki/Kcm